Subject: Re: [PATCH 08/18] d80211: clean up exports

From: "Jouni Malinen" <[email-masked]>
Date: Tue, 22 Aug 2006 09:44:36 -0700

On Mon, Aug 21, 2006 at 09:41:15AM +0200, Johannes Berg wrote:
> This puts all EXPORT_SYMBOL() macros along with the function being exported,
> and changes some exports that are only relevant to rate control modules
> and to be GPL-only because they rate control modules need to be built against
> the internal ieee80211_i.h header.

Moving the EXPORT_SYMBOL definitions sounds good, but I would like to
keep changes between EXPORT_SYMBOL and EXPORT_SYMBOL_GPL separate from
this kind of cleanup. In addition, I'm not personally a huge fan of the
EXPORT_SYMBOL_GPL in the first place since I believe the GPL should
cover this without additional changes in the source code. In other
words, I would prefer that the EXPORT_SYMBOL would not be changed to
EXPORT_SYMBOL_GPL here.

-- 
Jouni Malinen                                            PGP id EFC895FA